# AboutWindow Struct Reference

Inheritance diagram for AboutWindow:

## Public Member Functions
virtual void | SetStringParameters (int widget) const
| Initialize string parameters for a widget.
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
| Update size and resize step of a widget in the window.
virtual void | OnPaint ()
| The window must be repainted.
virtual void | DrawWidget (const Rect &r, int widget) const
| Draw the contents of a nested widget.
virtual void | OnTick ()
| Called once per (game) tick.
## Data Fields
int | text_position
| The top of the scrolling text.
byte | counter
| Used to scroll the text every 5 ticks.
int | line_height
| The height of a single line.
## Static Public Attributes
static const int | num_visible_lines = 19
| The number of lines visible simultaneously.

## Detailed Description

Definition at line 406 of file misc_gui.cpp.

## Member Function Documentation

virtual void AboutWindow::DrawWidget | ( | const Rect & | r,
|  | int | widget |
| ) |  |  | const`[inline, virtual]`

Draw the contents of a nested widget.

Parameters:

  | r | Rectangle occupied by the widget.
  | widget | Number of the widget to draw.

Note:
  This method may not change any state, it may only use drawing functions.

Reimplemented from Window.

Definition at line 446 of file misc_gui.cpp.

References AW_SCROLLING_TEXT, DrawString(), lengthof, line_height, SA_FORCE, SA_LEFT, and text_position.

virtual void AboutWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 441 of file misc_gui.cpp.

References Window::DrawWidgets().

virtual void AboutWindow::SetStringParameters | ( | int | widget | ) | const`[inline, virtual]`

Initialize string parameters for a widget.

Calls to this function are made during initialization to measure the size (that is as part of InitNested()), during drawing, and while re-initializing the window. Only for widgets that render text initializing is requested.

Parameters:

  | widget | Widget number.

Reimplemented from Window.

Definition at line 420 of file misc_gui.cpp.

References AW_WEBSITE, and SetDParamStr().

virtual void AboutWindow::UpdateWidgetSize | ( | int | widget,
|  | Dimension * | size,
|  | const Dimension & | padding,
|  | Dimension * | fill,
|  | Dimension * | resize |
| ) |  |  | `[inline, virtual]`

Update size and resize step of a widget in the window.

After retrieval of the minimal size and the resize-steps of a widget, this function is called to allow further refinement, typically by computing the real maximal size of the content. Afterwards, size is taken to be the minimal size of the widget and resize is taken to contain the resize steps. For the convenience of the callee, padding contains the amount of padding between the content and the edge of the widget. This should be added to the returned size.

Parameters:

  | widget | Widget number.
  | size | Size of the widget.
  | padding | Recommended amount of space between the widget content and the widget edge.
  | fill | Fill step of the widget.
  | resize | Resize step of the widget.

Reimplemented from Window.

Definition at line 425 of file misc_gui.cpp.

References AW_SCROLLING_TEXT, FONT_HEIGHT_NORMAL, GetStringBoundingBox(), lengthof, line_height, max(), maxdim(), num_visible_lines, and Window::width.

The documentation for this struct was generated from the following file:

- src/misc_gui.cpp